import "./tasks/mapping.wdl" as mapping
import "./tasks/Dedup.wdl" as Dedup


workflow {{ project_name }} {
	
	String sample_id
	File fastq_1
	File fastq_2

	String SENTIEON_INSTALL_DIR
	String SENTIEON_LICENSE
	String sentieon_docker
	
	File ref_dir
	String fasta
	File dbmills_dir
	String db_mills
	File dbsnp_dir
	String dbsnp
	File regions
	String disk_size
	String cluster_config
	
	File? cosmic_dir
	String? cosmic_vcf
	File? database


	call mapping.mapping as mapping {
		input: 
		group=sample_id,
		sample=sample_id,
		fastq_1=fastq_1,
		fastq_2=fastq_2,
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		SENTIEON_LICENSE=SENTIEON_LICENSE,
		pl="ILLUMINAL",
		fasta=fasta,
		ref_dir=ref_dir,
		docker=sentieon_docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}

	call Dedup.Dedup as Dedup {
		input:
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		SENTIEON_LICENSE=SENTIEON_LICENSE,
		sorted_bam=mapping.sorted_bam,
		sorted_bam_index=mapping.sorted_bam_index,
		sample=sample_id,
		docker=sentieon_docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
}